Skip to content

Delete Object Records in bulk.

  • The maximum input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard format.
  • The maximum batch size is 500.
DELETE/api/{version}/vobjects/{object_name}
NameDescription
Content-Typetext/csv or application/json
Acceptapplication/json (default) or text/csv
NameDescription
{object_name}The name of the object, for example, product__v.

Upload parameters as a JSON or CSV file.

NameDescription
idThe system-assigned object record ID to delete.
external_id__vOptional: Instead of id, you can use this user-defined document external ID.
NameDescription
idParamIf you're identifying objects in your input by their external ID, add idParam=external_id__v to the request endpoint.

Admin may set other standard or custom object fields to required. Use the Object Metadata API to retrieve all fields configured on objects. You can update any object field with editable: true.

curl -X DELETE -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Object Records\delete_object_records.csv" \ https://myvault.veevavault.com/api/v17.2/vobjects/product__v
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS" }, { "responseStatus": "SUCCESS" }, { "responseStatus": "FAILURE", "errors": [ { "type": "INVALID_DATA", "message": "Error message describing why this object record was not deleted." } ] } ] }